<?php
include("funciones/funciones_backup.php");
include("conexion/conexion.php");
include("Menu/menu_inicio.php");
include("Usuarios/mensajeros.php");


$_SESSION['IdUsuario'] = $_GET['id_user'];
$_SESSION['IdSuc'] = $_GET['suc'];

$_SESSION['cnt_no_existe'] = 0;
$_SESSION['cnt_planillada'] = 0;
$_SESSION['cnt_ok'] = 0;
$_SESSION['planilla'] = 0;

if (file_exists($_SESSION['IdUsuario'] . "guias_no_existen.txt"))
    unlink($_SESSION['IdUsuario'] . "guias_no_existen.txt");
if (file_exists($_SESSION['IdUsuario'] . "guias_planilladas.txt"))
    unlink($_SESSION['IdUsuario'] . "guias_planilladas.txt");
if (file_exists($_SESSION['IdUsuario'] . "guias_planilladas_ok.txt"))
    unlink($_SESSION['IdUsuario'] . "guias_planilladas_ok.txt");
if (file_exists($_SESSION['IdUsuario'] . "Total_guias_planilladas.txt"))
    unlink($_SESSION['IdUsuario'] . "Total_guias_planilladas.txt");

function escribe_archivo($str_cadena, $str_archivo) {
    $archivo = fopen($str_archivo, "a+");
    fwrite($archivo, $str_cadena);
    fclose($archivo);
}

$nombrepagina = "CREACION DE PLANILLA";
$target = $nombrepagina;
encabezado($target);
$user = $_SESSION['validar'];
$filas = 1;

if ($filas == 1) {
    class llamado {
        var $menuObj;
        function validar1($id_user, $id_sucursal) {
            $this->menuObj = new menu_inicio();
            $this->menuObj->menu2($id_user, $id_sucursal);
        }
    }

    $llamadoObj = new llamado();
    $llamadoObj->validar1($_SESSION['IdUsuario'], $_SESSION['IdSuc']);
    entrada($user, $_SESSION['IdUsuario'], $_SESSION['IdSuc']);
    
    echo"</td>";
    echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
    mostrar_cabeza_trabajo($nombrepagina);

    class obtiene {

        var $userObj;

        function obtener($perfil) {
            $this->userObj = new select_zonas();
            //$tabla=$this->userObj->get_tabla($_SESSION['IdSuc']);
            $tabla = $_SESSION['tabla_guia'];
        }
    }

    $tabla = 'guias_proceso';
    $pla = $_SESSION['planilla'];
    ?>
    <link rel="stylesheet" href="css/demos.css" media="screen" type="text/css">
    <link rel="stylesheet" href="css/modal-message.css" type="text/css">
    <script type="text/javascript" src="js/modal-message.js"></script>
    <script type="text/javascript">
        messageObj = new DHTML_modalMessage();	// We only create one object of this class
        messageObj.setShadowOffset(0);	// Large shadow
        function displayStaticMessage(messageContent, cssClass, src)
        {
            document.backup.guia.disabled = true;
            messageObj.setHtmlContent(messageContent);
            messageObj.setSize(450, 120);
            messageObj.setCssClassMessageBox(cssClass);
            messageObj.setSource(false);	// no html source since we want to use a static message here.
            messageObj.setShadowDivVisible(false);	// Disable shadow for these boxes
            messageObj.display();
        }
        function cierraMessage()
        {
            messageObj.close();
            document.backup.guia.disabled = false;
            document.backup.guia.focus();
        }


        function reproducir() {
            document.all['cancion'].src = 'sound/alert.wav'
        }

    </script>
    <form action="" method="POST" name="backup"><CENTER>
            <table width="300" border="0" class="primaria">
                <tr class=miTable_tr>
                    <td colspan="2" class=miTable_th1><div align="center">..:: Seleccionar Mensajero a Planillar ::..</div></td>
                </tr>
                <tr class="miTable_tr">
                    <td width="100" class="miTable_td">
                        Mensajero:
                    </td>
                    <td width="200" class="miTable_td">
                        <select name="mensajero" id="mensajero" class="inputbox" style="width:40em;">
    <?
    get_mensajero($_SESSION['IdSuc'], $_POST['mensajero']);
    ?>
                        </select>
                    </td>
                </tr>
                <tr class="miTable_tr">
                    <td width="100" class="miTable_td">
                        No Guia:
                    </td>
                    <td width="200" class="miTable_td">
                        <textarea cols="20" rows="10" name="guia" id="guia"></textarea>

                        <input type="hidden" name="cantidad" id="cantidad" class="inputbox" value="<? if ($_POST['cantidad'] == '') {
        echo '1';
    } else {
        echo $_POST['cantidad'] + 1;
    } ?>">
                        <input type="hidden" id="tabla" name="tabla" value="<? echo $tabla; ?>" class="inputbox">
                    </td>
                </tr>
                <tr class=miTable_tr>
                    <td class=miTable_th1 colspan="2">
                        <div align="center">
                            <input type="submit" name="Registrar" value="Planillar" class="inputbox">
                        </div>
                    </td>
                </tr>
            </table>
            <?
            if (!isset($_POST['Registrar'])) {
                //echo "No ha dado click en boton";
            } else {

                //$id_mens=$mensajero;
                $db = new conexion();
                $db->conectarse();
                $guia = $_POST['guia'];
                $id_mens = $_POST['mensajero'];
                $rst_select = $db->consultar("select identificacion, nombre FROM mensajeros WHERE id_mensajero='" . $id_mens . "'");
                $tomar_datos = mysql_fetch_array($rst_select);
                $cc = $tomar_datos[0];
                $nombre = $tomar_datos[1];
                $db->cerrar();
                $input = explode("\n", $guia);
                $arr_guia = array_unique($input);

                class crearSucursal {

                    var $crearObj;
                    var $conexionObj;
                    var $estado;

                    function validar($id_mens, $guia, $cant, $tabla) {
                        $this->conexionObj = new conexion();
                        $this->conexionObj->conectarse();
                        $id_pla = ConsultaPlanilla($id_mens);
                        if ($id_pla == 0) {
                            //$rst_crear_planilla = $this->conexionObj->consultar("INSERT INTO planillas VALUES (0, date(now()), time(now()), '" . $_SESSION['IdUsuario'] . "', '0', '" . $id_mens . "', '" . $_SESSION['IdSuc'] . "')");
                            $rst_crear_planilla=$this->conexionObj->consultar("INSERT INTO planillas VALUES (0, date(now()), time(now()), '".$_GET['id_user']."', '0', '".$id_mens."', '".$_SESSION['IdSuc']."',0,0)");
							$id_pla = ConsultaPlanilla($id_mens);
                        }
                        $retor = $this->conexionObj->consultar("select count(*) from guias_proceso where id_planilla='" . $id_pla . "'");
                        $cnt_planilla = @mysql_fetch_array($retor);
                        $cnt_plan = $cnt_planilla[0];
                        $this->conexionObj->consultar("update planillas set cantidad='" . $cnt_plan . "' where id_planilla='" . $id_pla . "'");
                        $rst_select = $this->conexionObj->consultar("SELECT id_planilla, identificacion, nombre, cantidad " .
                                "FROM planillas as p inner join mensajeros as m on p.id_mensajero=m.id_mensajero " .
                                "WHERE p.id_mensajero='" . $id_mens . "' ORDER BY id_planilla DESC");
                        $tomar_planilla = mysql_fetch_array($rst_select);
                        $planilla = $tomar_planilla[0];
                        $_SESSION['planilla'] = $planilla;
                        $cc = $tomar_planilla[1];
                        $nombre = $tomar_planilla[2];
                        $cant_guias = $cnt_plan;
                        $rst_validar = $this->conexionObj->consultar("SELECT guia FROM guias_proceso WHERE guia='" . $guia . "' ");
                        if (mysql_num_rows($rst_validar)) {
                            $reenvio = guias_reenvio($guia);
                            $var_ret = $this->insertarDatos($id_mens, $guia, $cant, $planilla, $tabla, $cc, $nombre, $cant_guias, $reenvio);
                            return $var_ret;
                        } else {
                            $_SESSION['cnt_no_existe']++;
                            $cadena = trim($guia) . chr(13) . chr(10);
                            escribe_archivo($cadena, $_SESSION['IdUsuario'] . "guias_no_existen.txt");
                        }
                    }

                    function insertarDatos($id_mens, $guia, $cant, $planilla, $tabla, $cc, $nombre, $cant_guias, $reenvio) {
                        $sql = "select * from info_empresa ";
                        $ruta_logo = logo($sql);
                        if ($reenvio == 1) {
                            $estado = 17;
                        } else { //si no es reenvio si no normal
                            $estado = 13;
                        }
                                                
                        $rst_insertar = $this->conexionObj->modificar("UPDATE " . $tabla . " SET id_mensajero = '" . $id_mens . "', 
	 			id_estado = " . $estado . ", id_planilla = " . $planilla . " 
	 			WHERE guia = '" . $guia . "' AND id_mensajero = '0' AND id_sucursal = '" . $_SESSION['IdSuc'] . "' AND (id_estado='12' OR id_estado='19' or id_estado='16' )");

                        $affected_rows = mysql_affected_rows();

                        if ($affected_rows >= 1) {
                            $rst_select = $this->conexionObj->modificar("UPDATE rastreo_guias SET E$estado='$estado', F$estado = NOW() WHERE guia='" . $guia . "'");

                            $rst_update_planilla = $this->conexionObj->modificar("UPDATE planillas SET cantidad = cantidad+1 WHERE id_planilla = '" . $planilla . "'");

                            $cant_guias = $cant_guias + 1;
                            $_SESSION['cnt_ok']++;
                            $cadena = trim($guia) . chr(13) . chr(10);
                            escribe_archivo($cadena, $_SESSION['IdUsuario'] . "guias_planilladas_ok.txt");
                            return $cant_guias;
                        } else {
                            $_SESSION['cnt_planillada']++;
                            $cadena = trim($guia) . chr(13) . chr(10);
                            escribe_archivo($cadena, $_SESSION['IdUsuario'] . "guias_planilladas.txt");
                        }
                        ?>
                        <script>
                            document.backup.prueba.click();
                        </script>
                        <?
                    }

                }

                $crearSucursalObj = new crearSucursal();

                for ($ytr = 0; $ytr < count($arr_guia); $ytr++) {
                    $num_guia = trim($arr_guia[$ytr]);
                    if (!empty($num_guia)) {                        
                        $cant_guias = $crearSucursalObj->validar($_POST['mensajero'], $num_guia, $_POST['cantidad'], $_POST['tabla']);
                    }
                }


                $db = new conexion();
                $db->conectarse();
                $rst_cons = $db->consultar("select guia FROM guias_proceso WHERE id_planilla='" . $_SESSION['planilla'] . "'");
                $total_planilla = mysql_num_rows($rst_cons);
                while ($fila = mysql_fetch_row($rst_cons)) {
                    $cadena = trim($fila[0]) . chr(13) . chr(10);
                    escribe_archivo($cadena, $_SESSION['IdUsuario'] . "Total_guias_planilladas.txt");
                }
                $db->cerrar();


                echo '<center><table width="300" border="0" class="primaria"><tr class=miTable_tr>
				<td class=miTable_th1><div align="center">
				..:: Planilla No ' . $_SESSION['planilla'] . ' ::..</div></td></tr>';
                echo '<tr class=miTable_tr>
				<td class=miTable_td><div align="center">
				Codigo Operador ' . $cc . '</div></td></tr>';
                echo '<tr class=miTable_tr>
				<td class=miTable_td><div align="center">
				Nombre Operador ' . $nombre . '</div></td></tr>';
                echo '<tr class=miTable_tr>
				<td class=miTable_td><div align="center">
				Guias Planilladas ' . $_SESSION['cnt_ok'] .
                '&nbsp;&nbsp;<a href="' . $_GET['id_user'] . 'guias_planilladas_ok.txt" target="_blank">Ver Detalle</a> &nbsp;&nbsp;
				<a href="descargar.php?f=' . $_GET['id_user'] . 'guias_planilladas_ok.txt">Descargar</a></div></td></tr>';


                echo '<tr class=miTable_tr>
				<td class=miTable_td><div align="center">
				Guias Otro Estado ' . $_SESSION['cnt_planillada'] .
                '&nbsp;&nbsp;<a href="' . $_SESSION['IdUsuario'] . 'guias_planilladas.txt" target="_blank">Ver Detalle</a> &nbsp;&nbsp;
				<a href="descargar.php?f=' . $_SESSION['IdUsuario'] . 'guias_planilladas.txt">Descargar</a></div></td></tr>';


                echo '<tr class=miTable_tr>
				<td class=miTable_td><div align="center">
				Guias No Existen ' . $_SESSION['cnt_no_existe'] .
                '&nbsp;&nbsp;<a href="' . $_SESSION['IdUsuario'] . 'guias_no_existen.txt" target="_blank">Ver Detalle</a> &nbsp;&nbsp;
				<a href="descargar.php?f=' . $_SESSION['IdUsuario'] . 'guias_no_existen.txt">Descargar</a></div></td></tr>';



                echo '<tr class=miTable_tr>
				<td class=miTable_td><div align="center">
				Total Guias Planilladas ' . $total_planilla .
                '&nbsp;&nbsp;<a href="' . $_SESSION['IdUsuario'] . 'Total_guias_planilladas.txt" target="_blank">Ver Detalle</a> &nbsp;&nbsp;
				<a href="descargar.php?f=' . $_SESSION['IdUsuario'] . 'Total_guias_planilladas.txt">Descargar</a></div></td></tr>';



                echo '<tr class=miTable_tr>
				<td class=miTable_th1><div align="center"></div></td></tr></table>';
                if ($_SESSION['cnt_ok'] >= 1) {
                    echo '<table width="400" border="0"><tr><td align="center">';
                    echo '<a href="Pdf/planilladetallada.php?planilla=' . $_SESSION['planilla'] . '&tabla=' . $tabla . '&ruta=' . $ruta_logo . '&id_men=' . $id_mens . '" target="_blank">Ver Guias Planilladas Detalle</a></td>';
                    echo '<td align="center"><a href="Pdf/planillaresumida.php?planilla=' . $_SESSION['planilla'] . '&tabla=' . $tabla . '&id_men=' . $id_mens . '" target="_blank">Ver Guias Planilladas Resumen</a></td>';
                    echo '</tr></table>';
                }
                echo '</center>';
            }

            mostrar_pie();
        }
//$pla=$_SESSION['planilla'];
        echo"</td>";
        echo"</tr>";
        echo"</table>";
        echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
        echo"<tbody><tr>";
        echo"<td></td>";
        echo"</tr>";
        echo"<tr>";
        echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
        echo"</tr>";
        echo"<tr>";
        ?>
        <td>
        <center>
<? pie_de_pagina(); ?>
        </center>
        </td>
<?php
echo"</tr>";
echo"</tbody></table>";
echo"</center>";
echo"</body>";
echo"</html>";
?>
    </CENTER>
</form>

